### Method

# Fwupd Report set_device_name

since: 1.8.8

#### Declaration [src]

    void
    fwupd_report_set_device_name (
      FwupdReport* self,
      const gchar* device_name
    )

#### Description [src]

Sets the name of the device the update was performed on.

Available since: 1.8.8

#### Parameters

`device_name`

  Type: `const gchar*`

  The name, e.g. `LENOVO ThinkPad P1 Gen 3`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.